CVE-2016-7910

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Use-after-free vulnerability in the disk_seqf_stop function in block/genhd.c in the Linux kernel before 4.7.1 allows local users to gain privileges by leveraging the execution of a certain stop operation even if the corresponding start operation had failed.

References

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=77da160530dd1dc94f6ae15a981f24e5f0021e84

http://source.android.com/security/bulletin/2016-11-01.html

http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.7.1

http://www.securityfocus.com/bid/94135

https://access.redhat.com/errata/RHSA-2017:0892

https://access.redhat.com/errata/RHSA-2017:1297

https://access.redhat.com/errata/RHSA-2017:1298

https://access.redhat.com/errata/RHSA-2017:1308

https://github.com/torvalds/linux/commit/77da160530dd1dc94f6ae15a981f24e5f0021e84

Details

Source: MITRE

Published: 2016-11-16

Updated: 2018-01-05

Type: CWE-416

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

CVSS v3

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* versions up to 4.7 (inclusive)

Tenable Plugins

View all (41 total)

IDNameProductFamilySeverity
127351NewStart CGSL MAIN 4.05 : kernel Multiple Vulnerabilities (NS-SA-2019-0113)NessusNewStart CGSL Local Security Checks
high
124819EulerOS Virtualization 3.0.1.0 : kernel (EulerOS-SA-2019-1496)NessusHuawei Local Security Checks
critical
124798EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1474)NessusHuawei Local Security Checks
high
121162Virtuozzo 6 : parallels-server-bm-release / vzkernel / etc (VZA-2016-104)NessusVirtuozzo Local Security Checks
high
102774OracleVM 3.4 : Unbreakable / etc (OVMSA-2017-0145) (Stack Clash)NessusOracleVM Local Security Checks
critical
102773Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2017-3609)NessusOracle Linux Local Security Checks
critical
102511Oracle Linux 7 : kernel (ELSA-2017-1842-1) (Stack Clash)NessusOracle Linux Local Security Checks
critical
101474Virtuozzo 7 : kernel / kernel-abi-whitelists / kernel-debug / etc (VZLSA-2017-1308)NessusVirtuozzo Local Security Checks
high
101443Virtuozzo 6 : kernel / kernel-abi-whitelists / kernel-debug / etc (VZLSA-2017-0892)NessusVirtuozzo Local Security Checks
high
100507Oracle Linux 7 : kernel (ELSA-2017-1308)NessusOracle Linux Local Security Checks
high
100506Oracle Linux 7 : kernel (ELSA-2017-1308-1)NessusOracle Linux Local Security Checks
high
100458Scientific Linux Security Update : kernel on SL7.x x86_64 (20170525)NessusScientific Linux Local Security Checks
high
100457RHEL 7 : kernel (RHSA-2017:1308)NessusRed Hat Local Security Checks
high
100456RHEL 7 : kernel-rt (RHSA-2017:1298)NessusRed Hat Local Security Checks
high
100455RHEL 6 : MRG (RHSA-2017:1297)NessusRed Hat Local Security Checks
high
100430CentOS 7 : kernel (CESA-2017:1308)NessusCentOS Local Security Checks
high
100238OracleVM 3.2 : Unbreakable / etc (OVMSA-2017-0106)NessusOracleVM Local Security Checks
critical
100237OracleVM 3.3 : Unbreakable / etc (OVMSA-2017-0105)NessusOracleVM Local Security Checks
critical
100235Oracle Linux 6 : Unbreakable Enterprise kernel (ELSA-2017-3567)NessusOracle Linux Local Security Checks
critical
100234Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2017-3566)NessusOracle Linux Local Security Checks
critical
99846EulerOS 2.0 SP1 : kernel (EulerOS-SA-2016-1089)NessusHuawei Local Security Checks
high
99392OracleVM 3.4 : Unbreakable / etc (OVMSA-2017-0062)NessusOracleVM Local Security Checks
high
99391OracleVM 3.2 : Unbreakable / etc (OVMSA-2017-0061)NessusOracleVM Local Security Checks
critical
99390OracleVM 3.3 : Unbreakable / etc (OVMSA-2017-0060)NessusOracleVM Local Security Checks
high
99389Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2017-3539)NessusOracle Linux Local Security Checks
high
99388Oracle Linux 6 : Unbreakable Enterprise kernel (ELSA-2017-3538)NessusOracle Linux Local Security Checks
critical
99387Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2017-3537)NessusOracle Linux Local Security Checks
high
99338RHEL 6 : kernel (RHSA-2017:0892)NessusRed Hat Local Security Checks
high
99316CentOS 6 : kernel (CESA-2017:0892)NessusCentOS Local Security Checks
high
99301Scientific Linux Security Update : kernel on SL6.x i386/x86_64 (20170411)NessusScientific Linux Local Security Checks
high
99298Oracle Linux 6 : kernel (ELSA-2017-0892)NessusOracle Linux Local Security Checks
high
97321Ubuntu 12.04 LTS : linux-lts-trusty vulnerabilities (USN-3207-2)NessusUbuntu Local Security Checks
high
97320Ubuntu 14.04 LTS : linux vulnerabilities (USN-3207-1)NessusUbuntu Local Security Checks
high
97319Ubuntu 12.04 LTS : linux, linux-ti-omap4 vulnerabilities (USN-3206-1)NessusUbuntu Local Security Checks
high
97297SUSE SLES11 Security Update : kernel (SUSE-SU-2017:0494-1)NessusSuSE Local Security Checks
critical
97205SUSE SLES12 Security Update : kernel (SUSE-SU-2017:0471-1)NessusSuSE Local Security Checks
high
97189SUSE SLED12 / SLES12 Security Update : kernel (SUSE-SU-2017:0464-1)NessusSuSE Local Security Checks
high
97097SUSE SLES11 Security Update : kernel (SUSE-SU-2017:0437-1)NessusSuSE Local Security Checks
critical
96903SUSE SLES11 Security Update : kernel (SUSE-SU-2017:0333-1)NessusSuSE Local Security Checks
critical
96188Debian DLA-772-1 : linux security updateNessusDebian Local Security Checks
critical
95705openSUSE Security Update : the Linux Kernel (openSUSE-2016-1431)NessusSuSE Local Security Checks
critical